
:root {
    --bg-color: #111827;
    --text-color: #f9fafb;
    --primary-color: #3b82f6;
    --card-bg: #1f2937;
}


body, html {
    margin: 0; padding: 0;
    width: 100%; height: 100%;
    font-family: 'Inter', sans-serif;
    background-color: #0a64dd;
    scroll-behavior: smooth;
    color: white;
}
body { overflow-x: hidden; }

*{
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
}

/* Fade-out animation */
.fade-out {
    animation: fadeOut 1.5s ease forwards;
  }
  
  @keyframes fadeOut {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
      visibility: hidden;
    }
  }
  
#video-wrapper {
    position: fixed;
    top: 0; left: 0;
    width: 100vw;
    height: 100vh;
    background: rgb(255, 255, 255);
    z-index: 450;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #intro-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  

.cloud-image {
    position: absolute;
    height: auto;

}
#mobile-video{
    position: fixed;
    top: 0; left: 0;
    width: 100%;
    height: 100vh;
    background: black;
    z-index: 450;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
}


/* --- Main Scenic Container --- */
/* This container holds the entire animation and is pinned to the screen */
.scenic-container {
    height: 100vh;
    width: 100%;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    /* opacity: 0; */
    background-color: #0a64dd;
    display: flex;
    align-items: end;
}

/* --- Map Wrapper --- */
/* This div is what we will scale and move to create the zoom effect */
.map-wrapper {
    position: absolute;
    /* background: url(./images/bg.svg) #0a52b3; */
    bottom: 0;
    left: 0;
    width: 100%;
    height: 95vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    will-change: transform; /* Performance optimization */
    opacity: 0.3;
}

.map-image {
    max-width: 100%;
    max-height: 80vh;
    width: auto;
    height: auto;
    object-fit: contain; 
    border-radius: 1rem;
}

/* --- Center Text --- */
.center-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 5vw;
    font-weight: 700;
    text-align: center;
    color: white;
    text-shadow: 0 0 20px rgba(0, 0, 0, 0.7);
    opacity: 0; /* Initially hidden */
    white-space: nowrap;
    will-change: transform, opacity;
}

/* --- Location Markers --- */
.location {
    position: absolute;
    width:200px;
    height: 60px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* border: 3px solid white; */
    /* box-shadow: 0 0 15px rgba(255, 255, 255, 0.8), 0 0 25px rgba(0, 0, 0, 0.5); */
    /*transition: transform 0.3s ease, box-shadow 0.3s ease;*/
    opacity: 0; /* Initially hidden */
    pointer-events: none; /* Initially not clickable */
    will-change: transform, opacity;
    z-index: 15;
}

.location img{
    width: 22%;
}

.location p{
    width: 75%;
    padding-top: 10px;
    font-size: 14px;
}

/* .location:hover {
    transform: scale(2);
    box-shadow: 0 0 25px rgba(59, 130, 246, 1), 0 0 35px rgba(0, 0, 0, 0.7);
} */

.location-h2{
    margin: 0px;
    font-size: 28px;
    font-weight: 400;
    
}
.loc-h1{
    font-size: 48px;
    font-weight: 500;
}
.location-para{
    margin: 0px;
    font-size: 16px;
    line-height: 24px;
    font-weight: 300;
}

.loc-para-1{
    font-size: 16px;
    line-height: 24px;
    font-weight: 300;
    padding-bottom: 30px;
}

.route-con{
   position: absolute; 
   z-index: 14;
   left: 14%;
   top:44%;
   width: 100%;
  opacity: 0;
  
}

.route-gif{
    width: 100%;  
}



@keyframes pulse {
    0% { transform: scale(0.9); opacity: 0.7; }
    70% { transform: scale(1.5); opacity: 0; }
    100% { transform: scale(0.9); opacity: 0; }
}

/* --- Location Content Card --- */
.location-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.8);
    width: 100%;
    max-width: 100%;
    height: 100%;
    background-color: transparent;
    border-radius: 1rem;
    /* box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.5); */
    display: flex;
    flex-direction: row;
    /* md:flex-direction: row; */
    overflow: hidden;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease, visibility 0.4s ease, transform 0.5s ease;
    z-index: 10;
    padding: 20px;
}

.text-animation{
    position: relative;
    animation: text-Move-Up 0.6s linear 1.5s;
    animation: name duration timing-function delay iteration-count direction fill-mode;
}

@keyframes text-Move-Up {
    from{
        top:50px;
        opacity: 0;
    }
    to{
        top:0px;
        opacity: 1;
    }
}

@media (min-width: 768px) {
    .location-content {
        flex-direction: row;
    }
}

.location-content.visible {
    position: relative;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translate(-50%, -50%) scale(1);
}

.location-image {
    width:65%;
    height:auto;
    /* md:width: 45%;
    md:height: auto; */
    object-fit: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
}



.lottie-bg-css{
    
    width: 100%;
    height:auto;
}

.content-text-wrapper {
    padding: 1.5rem;
    width: 35%;
    /* md:width: 55%; */
    box-sizing: border-box;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
}



.cta-btn{
    text-decoration: none;
    padding: 10px 18px;
    background-color: #FF957D;
    border-radius:4px;
    margin-right: 20px;
    border: 0px;
    color: #fff;
    font-size: 16px;
}

.btn-backbtn-block{
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.backbtn-des{
    display: inline-block;
    margin-top: 1rem;
    /* padding: 0.75rem 1.5rem; */
    background-color: transparent;
    color: rgb(255, 255, 255);
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: 600;
    font-size: 45px;
    /* transform: scale(-1); */
    z-index: 200;
    position: absolute;
    top: 15%;
    left: 3%;
    z-index:200;
}

.backbtn-mob{
    background-color: transparent;
    border: 0px;
    /* position: absolute;
    bottom: 10%;
    right: 20px; */
    z-index: 200;
    display: none;
}


/* --- Scroll Spacer --- */
/* This creates the scrollable area that drives the animation */
.scroll-spacer {
    height: 500vh; /* Adjust height to control scroll duration */
    width: 100%;
}

/* --- Helper text at the bottom --- */
.info-footer {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 1.5rem;
    padding: 2rem;
}
body.noscroll {
overflow: hidden;
}

.footer{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 51;
    padding: 20px 0px 20px 40px;
    opacity: 1;
}

.footer p{
    font-size: 10px;
    text-align: center;
    opacity: 0.7;
}


.logo-sec{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 51;
    padding: 20px 0px 20px 40px;
    opacity: 1;
}





/*--------------- Mobile Responsive----------------------*/

@media screen and (max-width: 768px) {
    .cloud-image {
        display: none;
        opacity: 0;
    }
    #video-wrapper{
        display: none;
    }
    .cta-btn{
        font-size: 14px;
    }

    .footer{
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 51;
        padding: 20px 0px 20px 20px;
        opacity: 1;
        background-color: #0a64dd;
        text-align: left;
    }

    .footer p{
        font-size: 10px;
        color: #fff;
        text-align: left;
    }
    .location-content{
        width: 100%;
        flex-direction: column;
        padding-top: 50px;
        height: 100vh;
         /*overflow: auto; */
         /*padding-bottom: 100px; */
    }
    .location-image{
        width: 100%;
        /*height: 30vh;*/
    }
    .content-text-wrapper{
        width: 100%;
        display: block;
        padding: 0px;
        /*max-height: 100%;*/
        overflow: auto;
        max-height: 200vh;
    }
    .content-text-wrapper-b{
        padding-bottom: 150px;
    }
    .map-heading-block{
        padding-bottom: 50px;
    }
    .location {
       
        width:30px;
        height: 30px;
        cursor: pointer;
        display: flex;
        flex-direction: row;
        justify-content:center;
        align-items: center;
       
    }

    .location img{
        width:30px;
    }

    .location p{
        width: 50%;
        font-size:0px;
    }
    

    .location-h2{
        font-size: 22px;
        padding-bottom: 10px;
    }
    .loc-h1{
        font-size: 36px;
    }
    .logo-sec{
       
        padding: 20px 0px 20px 20px;
        
    }
    .backbtn-des{
        display: none;
    }
    .backbtn-mob{
        display: block;
    }
    .map-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: center;
        padding-top: 20%;
       
    }
    .location-para{
        font-size:14px;
        line-height: 20px;
    }

    .loc-para-1{
        font-size: 14px;
        line-height: 20px;
        padding-bottom: 20px;
    }

}